Page MenuHomePhabricator

Task T120476 appears in http://phlogiston.wmflabs.org/ve_unpointed.html as Unpointed/Resolved when it's a Duplicate
Closed, DeclinedPublic5 Story Points

Description

It shouldn't.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 14 2017, 3:36 AM
JAufrecht set the point value for this task to 5.Nov 3 2017, 10:49 PM
JAufrecht moved this task from Setting Up Reports to Reporting on the Phlogiston board.
JAufrecht closed this task as Invalid.Jul 16 2018, 6:33 PM

Duplicate isn't a separate status in Phabricator; it's just "resolved" as far as the status is concerned.

Duplicate isn't a separate status in Phabricator; it's just "resolved" as far as the status is concerned.

Can we make it "declined" instead?

JAufrecht reopened this task as Open.Jul 17 2018, 5:41 PM
JAufrecht added a subscriber: JAufrecht.

Correction: Duplicate is a separate status in Phabricator, and Phlogiston does preserve this.

phlogiston=# select new_value, count(*) from maniphest_transaction where transaction_type = 'status' group by new_value;
 new_value | count  
-----------+--------
           |      3
 declined  |  10449
 duplicate |    245
 invalid   |   7861
 needsinfo |     16
 open      | 182627
 resolved  |  76668
 stalled   |   4145

In the current design, all duplicate, invalid, or declined tasks are deleted during at the beginning of each reporting cycle.

DELETE FROM task_on_date_recategorized
 WHERE (status = 'duplicate'
    OR status = 'invalid'
    OR status = 'declined')
   AND scope = $1;

This particular task, 120476, is not getting deleted because ... the transaction log shows it was set to "resolved", not "duplicate".

phlogiston=# select date_modified, old_value, new_value from maniphest_transaction where task_id = 120476 and transaction_type='status'  order by date_modified;
     date_modified      | old_value | new_value 
------------------------+-----------+-----------
 2015-12-05 00:16:49+00 | null      | open
 2015-12-07 21:55:33+00 | open      | resolved
(2 rows)

Could this be a quirk of the data import from Bugzilla? No, this all happened in Phabricator, right? Also, according to the task history, the task was marked resolved/duplicate twice. The second time, by you in Feb 2016, isn't in the transaction log. New hypothesis: some kind of data corruption within Phabricator's database?

Correction: Duplicate is a separate status in Phabricator, and Phlogiston does preserve this.

Huh.

No, this all happened in Phabricator, right?

Right.

Also, according to the task history, the task was marked resolved/duplicate twice. The second time, by you in Feb 2016, isn't in the transaction log. New hypothesis: some kind of data corruption within Phabricator's database?

Looks like Phab was a bit broken with the first one; Danny duped it, but it was marked as R not D. 🤷🏽‍♂️

Is it safe to assume this is a unique data error? Not sure what else to do.

Jdforrester-WMF closed this task as Declined.Aug 8 2018, 6:59 PM

Probably.